# Ogre::D3DDevice Class Reference

Encapsulates a Direct3D Device. More...

`#include <OgreD3D7Device.h>`

List of all members.

## Public Member Functions

| D3DDevice ()
| D3DDevice (const D3DDevice &ob)
| D3DDevice (LPDIRECT3D7 lpDirect3D, LPSTR lpDeviceDesc, LPSTR lpDeviceName, LPD3DDEVICEDESC7 lpD3DDeviceDesc)
| ~D3DDevice ()
void | Cleanup (void)
void | logCaps (void) const
LPDIRECT3DDEVICE7 | createDevice (LPDIRECTDRAWSURFACE7 renderTarget)
| Creates a new per-rendering surface device.
LPDIRECT3D7 | getID3D (void)
D3DDevice | operator= (const D3DDevice &orig)
String | DeviceName (void) const
String | DeviceDescription (void) const
bool | HardwareAccelerated (void) const
bool | NeedsZBuffer (void) const
void | createDepthBuffer (LPDIRECTDRAWSURFACE7 renderTarget)
bool | CanMipmap (void) const
bool | CanBilinearFilter (void) const
bool | CanTrilinearFilter (void) const
unsigned int | RenderBitDepth (void) const
unsigned int | ZBufferBitDepth (void) const
bool | CanHWTransformAndLight (void) const
unsigned int | MaxSinglePassTextureLayers (void) const
ushort | StencilBufferBitDepth (void) const

## Private Attributes

String | mDeviceName
String | mDeviceDescription
D3DDEVICEDESC7 | mD3DDeviceDesc
bool | mIsHardwareAccelerated
bool | mNeedsZBuffer
std::vector< DDPIXELFORMAT > | mDepthBufferFormats
ushort | mStencilBufferDepth
LPDIRECT3D7 | lpD3D
D3DVIEWPORT7 | mViewport
D3DRECT | rcViewportRect
DDDriver * | mParentDriver

## Friends

HRESULT CALLBACK | EnumZBuffersCallback (DDPIXELFORMAT *pddpf, VOID *pFormats)

## Detailed Description

Encapsulates a Direct3D Device.

Utility class for D3DRenderSystem.

Definition at line 36 of file OgreD3D7Device.h.

## Constructor & Destructor Documentation

Ogre::D3DDevice::D3DDevice | ( |  | ) |

Ogre::D3DDevice::D3DDevice | ( | const D3DDevice & | ob | ) |

Ogre::D3DDevice::D3DDevice | ( | LPDIRECT3D7 | lpDirect3D,
|  | LPSTR | lpDeviceDesc,
|  | LPSTR | lpDeviceName,
|  | LPD3DDEVICEDESC7 | lpD3DDeviceDesc
| ) |

Ogre::D3DDevice::~D3DDevice | ( |  | ) |

## Member Function Documentation

bool Ogre::D3DDevice::CanBilinearFilter | ( | void |  | ) | const

bool Ogre::D3DDevice::CanHWTransformAndLight | ( | void |  | ) | const

bool Ogre::D3DDevice::CanMipmap | ( | void |  | ) | const

bool Ogre::D3DDevice::CanTrilinearFilter | ( | void |  | ) | const

void Ogre::D3DDevice::Cleanup | ( | void |  | ) |

void Ogre::D3DDevice::createDepthBuffer | ( | LPDIRECTDRAWSURFACE7 | renderTarget | ) |

LPDIRECT3DDEVICE7 Ogre::D3DDevice::createDevice | ( | LPDIRECTDRAWSURFACE7 | renderTarget | ) |

| Creates a new per-rendering surface device.

String Ogre::D3DDevice::DeviceDescription | ( | void |  | ) | const

String Ogre::D3DDevice::DeviceName | ( | void |  | ) | const

LPDIRECT3D7 Ogre::D3DDevice::getID3D | ( | void |  | ) |

bool Ogre::D3DDevice::HardwareAccelerated | ( | void |  | ) | const

void Ogre::D3DDevice::logCaps | ( | void |  | ) | const

unsigned int Ogre::D3DDevice::MaxSinglePassTextureLayers | ( | void |  | ) | const

bool Ogre::D3DDevice::NeedsZBuffer | ( | void |  | ) | const

D3DDevice Ogre::D3DDevice::operator= | ( | const D3DDevice & | orig | ) |

unsigned int Ogre::D3DDevice::RenderBitDepth | ( | void |  | ) | const

ushort Ogre::D3DDevice::StencilBufferBitDepth | ( | void |  | ) | const

unsigned int Ogre::D3DDevice::ZBufferBitDepth | ( | void |  | ) | const

## Friends And Related Function Documentation

HRESULT CALLBACK EnumZBuffersCallback | ( | DDPIXELFORMAT * | pddpf,
|  | VOID * | pFormats
| ) | `[friend]`

## Member Data Documentation

LPDIRECT3D7 Ogre::D3DDevice::lpD3D `[private]`

| Definition at line 51 of file OgreD3D7Device.h.

D3DDEVICEDESC7 Ogre::D3DDevice::mD3DDeviceDesc `[private]`

| Definition at line 43 of file OgreD3D7Device.h.

std::vector<DDPIXELFORMAT> Ogre::D3DDevice::mDepthBufferFormats `[private]`

| Definition at line 46 of file OgreD3D7Device.h.

String Ogre::D3DDevice::mDeviceDescription `[private]`

| Definition at line 42 of file OgreD3D7Device.h.

String Ogre::D3DDevice::mDeviceName `[private]`

| Definition at line 41 of file OgreD3D7Device.h.

bool Ogre::D3DDevice::mIsHardwareAccelerated `[private]`

| Definition at line 44 of file OgreD3D7Device.h.

bool Ogre::D3DDevice::mNeedsZBuffer `[private]`

| Definition at line 45 of file OgreD3D7Device.h.

DDDriver* Ogre::D3DDevice::mParentDriver `[private]`

| Definition at line 55 of file OgreD3D7Device.h.

ushort Ogre::D3DDevice::mStencilBufferDepth `[private]`

| Definition at line 47 of file OgreD3D7Device.h.

D3DVIEWPORT7 Ogre::D3DDevice::mViewport `[private]`

| Definition at line 52 of file OgreD3D7Device.h.

D3DRECT Ogre::D3DDevice::rcViewportRect `[private]`

| Definition at line 53 of file OgreD3D7Device.h.

The documentation for this class was generated from the following file:

- OgreD3D7Device.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:44:15 2005